Skip to main content
POST
/
v1
/
outgoing-deliveries
/
{id}
/
link-files
Link files
curl --request POST \
  --url https://api.cula.tech/tracking/v1/v1/outgoing-deliveries/{id}/link-files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_ids": [
    "fil_01kqzcjrpyf27tgeaqk8twgw91",
    "fil_01kqzcjrpyf27tgeavkt70apdy"
  ]
}
'
{
  "id": "dlv_01kqzcjrpxf27tge48sdha1emj",
  "config_id": "dlc_01kqzcjrpyf27tgegxm6bxfdhb",
  "config_version_id": "dcv_01kqzcjrpyf27tgej0x1ke3msk",
  "issuing_site": {
    "id": "<string>",
    "external_id": "<string>"
  },
  "legs": [
    {
      "id": "leg_01kqzcjrpyf27tge5gameqfe75",
      "sender_site": {
        "id": "<string>",
        "external_id": "<string>"
      },
      "receiver_site": {
        "id": "<string>",
        "external_id": "<string>"
      },
      "data_points": [
        {
          "config_id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
          "config_version_id": "dpv_01kqzcjrpyf27tgerf3nqreg37",
          "name": "Weight net",
          "input_value": {
            "value": 47079.76,
            "unit": "lb"
          },
          "value": {
            "value": 21353.12,
            "unit": "kg"
          }
        }
      ],
      "selected_emission_log_config_id": "<string>"
    }
  ],
  "payload": [
    {
      "id": "mct_01kqzcjrpyf27tgenyy2stmy5z",
      "data_points": [
        {
          "config_id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
          "config_version_id": "dpv_01kqzcjrpyf27tgerf3nqreg37",
          "name": "Weight net",
          "input_value": {
            "value": 47079.76,
            "unit": "lb"
          },
          "value": {
            "value": 21353.12,
            "unit": "kg"
          }
        }
      ],
      "contents": [
        {
          "material": {
            "id": "mat_01kqzcjrpyf27tge9dnvsqv8t2",
            "external_id": "corn-no2-yellow"
          },
          "weight_in_kg": 21353.12
        }
      ]
    }
  ],
  "data_points": [
    {
      "config_id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
      "config_version_id": "dpv_01kqzcjrpyf27tgerf3nqreg37",
      "name": "Weight net",
      "input_value": {
        "value": 47079.76,
        "unit": "lb"
      },
      "value": {
        "value": 21353.12,
        "unit": "kg"
      }
    }
  ],
  "file_ids": [],
  "created_at": "2026-05-06T19:34:00Z",
  "updated_at": "2026-05-06T19:34:00Z",
  "external_id": "GC-DEL-N001016013",
  "display_key": "GC-DEL-N001016013",
  "sent_at": "2026-05-01T13:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cula.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token. Keys are scoped to one organisation and a set of permitted sites. Two keys per scope (primary + secondary) are issued to support zero-downtime rotation.

Authorization: Bearer <api-key>

Path Parameters

id
string
required

Cula-assigned resource ID in TypeID format (e.g. stp_01kqzcjrpxf27tge33jwvjhkff). Alternatively, pass your external ID prefixed with ext- (e.g. ext-MY-STEP-001). The ext- prefix is unambiguous because TypeIDs use _ separators and never start with ext-.

Body

application/json

Request body to link existing files to a resource.

file_ids
string[]
required

IDs of files to link.

Minimum array length: 1
Example:
[
"fil_01kqzcjrpyf27tgeaqk8twgw91",
"fil_01kqzcjrpyf27tgeavkt70apdy"
]

Response

Files linked. Returns the updated delivery.

An outgoing delivery as returned in responses.

id
string
required

Cula-assigned TypeID.

Example:

"dlv_01kqzcjrpxf27tge48sdha1emj"

config_id
string
required

Root delivery config ID.

Example:

"dlc_01kqzcjrpyf27tgegxm6bxfdhb"

config_version_id
string
required
read-only

Resolved config version used at creation time.

Example:

"dcv_01kqzcjrpyf27tgej0x1ke3msk"

issuing_site
object
required

The site that created this delivery.

legs
object[]
required

Transport segments with resolved sender/receiver sites and data points.

payload
object[]
required

Payload containers with resolved data points and computed material contents.

data_points
object[]
required

Delivery-level resolved data points.

file_ids
string[]
required

IDs of linked files.

Example:
[]
created_at
string<date-time>
required
read-only
Example:

"2026-05-06T19:34:00Z"

updated_at
string<date-time>
required
read-only
Example:

"2026-05-06T19:34:00Z"

external_id
string | null

Partner-assigned external identifier.

Example:

"GC-DEL-N001016013"

display_key
string | null

Human-readable display identifier.

Example:

"GC-DEL-N001016013"

sent_at
string<date-time> | null

When the delivery was sent. UTC.

Example:

"2026-05-01T13:00:00Z"